<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <title>Document</title>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100;0,300;0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700&display=swap');
        body {
            font-family: 'Noto Sans', sans-serif;
        }
        .col-1 {
            width: 100px;
        }
        .col-4 {
            -webkit-box-flex: 4;
            -webkit-flex: 4;
            flex-grow: 4;
        }
        .header {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            -webkit-box-pack: center; /* wkhtmltopdf uses this one */
            justify-content: center;
            padding: 10px 5px 15px 5px;
            background-color: #F6F8FC;
        }
        .program-title{
            text-transform: uppercase;
            letter-spacing: 0.1em;
            font-size: 35px;
            text-align: center;
            color: #3C3C3C;
            font-weight: 700;
            top: 18px;
        }
        .congregation-name {
            -webkit-box-pack: center; /* wkhtmltopdf uses this one */
            top: 48px;
            text-align: center;
            font-weight: 400;
            font-size: 14px;
            line-height: 14px;
            letter-spacing: 0.05em;

            text-transform: uppercase;

            /* Common/Grey 1 */

            color: #3C3C3C;
        }
        article {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            padding: 0px;

            position: absolute;
            width: 595px;
            height: 720px;
            left: 0px;
            top: 111px;
        }
        .content {
            -webkit-box-pack: start; /* wkhtmltopdf uses this one */
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            margin-top: 39px;
            width: 100%;
        }
        .row-speech {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            color: #5c5c60;
            background-color: #ebf2f8;
            display: flex;
            padding: 10px 18px 10px 18px;
        }
        .speech-title {
            font-weight: 500;
        }
        .row-speaker {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            background-color: #F6F8FC;
            display: flex;
            font-weight: 400;
            padding: 10px 18px 10px 18px;
        }
        .row-chairman {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            font-weight: 400;
            -webkit-box-pack: start; /* wkhtmltopdf uses this one */
            padding: 5px 18px 5px 18px;
            border-left: #CFDCE6 4px solid;
        }
        .row-reader {
            text-align: left;
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            font-weight: 400;
            padding: 5px 18px 5px 18px;
            -webkit-box-pack: start; /* wkhtmltopdf uses this one */
            border-left: #CFDCE6 4px solid;
        }
        .chairman-label, .reader-label {
            font-weight: 400;
        }
        hr {
            border-top: 1px solid #F1F1F1;
        }
        .mt {
            margin-top: 20px;
        }
        .program-date {
            font-weight: 600;
            font-size: 24px;
        }
        .row-convention {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            background-color: rgba(17, 128, 138, 0.14);
            display: flex;
            font-weight: 400;
            padding: 10px 18px 10px 18px;
            color: #072c2f;
            border-left: #0e6365 4px solid;
        }
        .row-convention-title {
            text-align: left;
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            font-weight: 500;
            padding: 10px 18px 10px 18px;
            -webkit-box-pack: start; /* wkhtmltopdf uses this one */
            border-left: #11808A 4px solid;
            color: #072c2f;
            font-style: italic;
            background-color: rgba(17, 128, 138, 0.05);
        }
        .text-overseer {
            color: #CF462B;
            text-transform: uppercase;
            font-size: 12px;
            padding-right: 3px;
        }
        .text-overseer-date {
            color: #CF462B;
            text-transform: uppercase;
        }
        .row-speaker-overseer {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            background-color: rgba(207, 70, 43, 0.05);
            display: flex;
            color: #CF462B;
            font-weight: 400;
            padding: 10px 18px 10px 18px;
        }
        .row-overseer-week {
            display: -webkit-box; /* wkhtmltopdf uses this one */
            background-color: rgba(207, 70, 43, 0.10);
            display: flex;
            font-weight: 50;
            color: #CF462B;
            padding: 10px 18px 10px 18px;
        }
        .speech-title-overseer {
            font-weight: 500;
            color: #CF462B;
        }
        .text-blue {
            color: #78787c;
        }
        .text-grey {
            color: #3C3C3C;
            font-weight: 400;
        }
        .row-chairman-overseer {
            border-left: rgba(207, 70, 43, 0.05) 4px solid;
            display: -webkit-box; /* wkhtmltopdf uses this one */
            display: flex;
            font-weight: 400;
            -webkit-box-pack: start; /* wkhtmltopdf uses this one */
            padding: 5px 18px 5px 18px;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="header">
        <div class="col-4">
            <div class="program-title">Discours Publics</div>
            <div class="congregation-name">Toulouse Compans</div>
        </div>
    </div>

    <div class="contennt">
        <div class="col-4 mt">
            <span class="program-date">{{ program.startDate|format_date('none', 'MMMM y', locale='fr')|capitalize}}</span>
        </div>
    </div>

    {% for weekend in program.weekends %}
        {% if weekend.category.conventionEnabled %}
            <div class="content">
                <div class="col-1">{{ weekend.date|date('d.m') }}</div>
                <div class="col-4">
                    <div class="row-convention">
                        <div class="col-4"><span class="convention-label">Week-end d'assemblée</span></div>
                    </div>
                    <div class="row-convention-title">
                        <div class="col-4"><span class="convention-title">{{ weekend.category.name }}</span></div>
                    </div>
                </div>
            </div>
            {% elseif weekend.category.overseerVisitEnabled %}
                <div class="content">
                    <div class="col-1">
                        <span class="text-overseer-date">{{ weekend.date|date('d.m') }}</span>
                        <div class="mt text-overseer">Semaine spéciale</div>
                    </div>
                    <div class="col-4">
                        <div class="row-overseer-week">
                            <div class="col-1"><span>Thème</span></div>
                            <div class="col-4"><span class="speech-title-overseer">{{ weekend.category.name }}</span></div>
                        </div>
                        <div class="row-speaker-overseer">
                            <div class="col-1"><span class="">Orateur</span></div>
                            <div class="col-4"><span class="speaker-name text-grey">{{ weekend.externalSpeaker }}</span></div>
                        </div>
                        <div class="mt">
                            <div class="row-chairman-overseer">
                                <div class="col-1"><span class="chairman-label">Président</span></div>
                                <div class="col-4"><span class="speaker-name text-grey">{{ weekend.chairman }}</span></div>
                            </div>
                        </div>
                    </div>
                </div>
                {% elseif weekend.category.externalSpeakerEnabled and weekend.category.overseerVisitEnabled is same as false %}
                    <div class="content">
                        <div class="col-1">{{ weekend.date|date('d.m') }}</div>
                        <div class="col-4">
                            <div class="row-speech">
                                <div class="col-1"><span>Thème</span></div>
                                <div class="col-4"><span class="speech-title">{{ weekend.speech.title }} ({{ weekend.speech.number }})</span></div>
                            </div>
                            <div class="row-speaker">
                                <div class="col-1"><span class="text-blue">Orateur</span></div>
                                <div class="col-4"><span class="speaker-name text-grey">{{ weekend.externalSpeaker }}</span></div>
                            </div>
                            <div class="mt">
                                <div class="row-chairman">
                                    <div class="col-1"><span class="chairman-label">Président</span></div>
                                    <div class="col-4"><span class="speaker-name text-grey">{{ weekend.chairman }}</span></div>
                                </div>
                                <div class="row-reader">
                                    <div class="col-1"><span class="reader-label">Lecteur</span></div>
                                    <div class="col-4"><span class="speaker-name text-grey">{{ weekend.reader }}</span></div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% else %}
                    <div class="content">
                        <div class="col-1">{{ weekend.date|date('d.m') }}</div>
                        <div class="col-4">
                            {% if weekend.category.isSpeechEnabled  %}
                                <div class="row-speech">
                                    <div class="col-1"><span>Thème</span></div>
                                    <div class="col-4"><span class="speech-title"> {{ weekend.speech.title }} ({{ weekend.speech.number }})</span></div>
                                </div>
                                {% else %}
                                    <div class="row-speech">
                                        <div class="col-1"><span>Thème</span></div>
                                        <div class="col-4"><span class="speech-title">{{ weekend.category.name }}</span></div>
                                    </div>
                            {% endif %}
                            {% if weekend.category.isSpeakerEnabled %}
                                <div class="row-speaker">
                                    <div class="col-1"><span class="text-blue">Orateur</span></div>
                                    <div class="col-4"><span class="speaker-name text-grey">{{ weekend.speaker }}</span></div>
                                </div>
                            {% endif %}


                            <div class="mt">
                                {% if weekend.category.isChairmanEnabled %}
                                    <div class="row-chairman">
                                        <div class="col-1"><span class="chairman-label">Président</span></div>
                                        <div class="col-4"><span class="speaker-name text-grey">{{ weekend.chairman }}</span></div>
                                    </div>
                                {% endif %}

                                {% if weekend.category.readerEnabled %}
                                    <div class="row-reader">
                                        <div class="col-1"><span class="reader-label">Lecteur</span></div>
                                        <div class="col-4"><span class="speaker-name text-grey">{{ weekend.reader }}</span></div>
                                    </div>
                                {% endif %}


                            </div>
                        </div>
                    </div>
        {% endif %}

    {% endfor %}



</div>
</body>
</html>
